<Files .htaccess>
order allow,deny
</Files>

Options +FollowSymLinks
RewriteEngine On

RewriteRule ^logout$ 							/system/general/actions/logout.php
RewriteRule ^switch$ 							/system/general/actions/switch.php
RewriteRule ^signin$ 							/system/general/actions/signin.php
RewriteRule ^signup$ 							/system/general/actions/signup.php
RewriteRule ^activation.(\w+)$ 						/system/general/actions/activation.php?hash=$1
RewriteRule ^confirm$ 							/system/general/actions/confirm.php
RewriteRule ^forgotpass$ 						/system/general/actions/forgotpass.php
RewriteRule ^(\w+)$ 							/index.php?page=$1&type=short
RewriteRule ^f.(\w+)$ 							/index.php?page=$1&type=front
RewriteRule ^p.(\w+)$ 							/index.php?page=$1&type=panel
RewriteRule ^premium.(\w+).(.*)$ 					/index.php?page=$1&type=premium&hash=$2
RewriteRule ^admin.(\w+)$ 						/index.php?page=$1&type=back
RewriteRule ^support.(\w+)$ 						/index.php?page=$1&type=support
RewriteRule ^payments.(\w+)$ 						/index.php?page=$1&type=payments
RewriteRule ^widget.(\w+)$ 						/index.php?page=Widget&type=widget&api=$1
RewriteRule ^language.(\w+)$ 						/index.php?lang=$1
RewriteRule ^signup.(\w+)$ 						/index.php?refid=$1
RewriteRule ^testvideo.(\w+).(.*)$ 					/index.php?page=video&type=testad&url=$1&mediaurl=$2
RewriteRule ^testint.(\w+).(.*)$					/index.php?page=int&type=testad&url=$1
RewriteRule ^testbanner.(\w+).(.*)$ 					/index.php?page=banner&type=testad&url=$1&mediaurl=$2
RewriteRule ^email.(\w+).(.*)$ 						/index.php?title=$1&html=$2&type=email
